Skip to main content

List ticket messages

Returns a ticket's messages, up to 100 per page (newest page first). NOTE-type messages are marked public: false.

Path Parameters
id string REQUIRED

The ticket ID.

Query Parameters
bot string REQUIRED

The unique ID of the bot.

sort_order string

Possible values: [asc, desc]

asc (oldest first within the page, default) or desc (newest first within the page).

page integer

Zero-based page number (100 messages per page, newest page first).

Responses
200

Messages returned.

Schema OPTIONAL
messages object[] OPTIONAL
total integer OPTIONAL
count integer OPTIONAL
next_page integer OPTIONAL
previous_page integer OPTIONAL
401

Missing/invalid API key.

Schema OPTIONAL
error string OPTIONAL

Human-readable error message.

404

Ticket not found.

Schema OPTIONAL
error string OPTIONAL

Human-readable error message.

429

Rate limit exceeded.

Schema OPTIONAL
error string OPTIONAL

Human-readable error message.

500

Internal server error.

Schema OPTIONAL
error string OPTIONAL

Human-readable error message.